| Version: 3.3.1

Macros | Typedefs | Functions | Variables
Events
Functions and Macros by Category

## Detailed Description

Below are a number of functions/macros used with wxWidgets event-handling system.

Related class group: Events

## Macros
#define | wxDEFINE_EVENT(name, cls)
| Define a new event type associated with the specified event class. More...
#define | wxDECLARE_EVENT(name, cls)
| Declares a custom event type. More...
#define | wxDECLARE_EXPORTED_EVENT(expdecl, name, cls)
| Variant of wxDECLARE_EVENT() used for event types defined inside a shared library. More...
#define | wxEVENT_HANDLER_CAST(functype, func)
| Helper macro for definition of custom event table macros. More...
#define | wx__DECLARE_EVT1(evt, id, fn)
| This macro is used to define event table macros for handling custom events. More...
#define | wx__DECLARE_EVT2(evt, id1, id2, fn)
| Generalized version of the wx__DECLARE_EVT1() macro taking a range of IDs instead of a single one. More...
#define | wx__DECLARE_EVT0(evt, fn)
| Simplified version of the wx__DECLARE_EVT1() macro, to be used when the event type must be handled regardless of the ID associated with the specific event instances. More...
#define | wxDECLARE_EVENT_TABLE()
| Use this macro inside a class declaration to declare a static event table for that class. More...
#define | wxBEGIN_EVENT_TABLE(theClass, baseClass)
| Use this macro in a source file to start listing static event handlers for a specific class. More...
#define | wxEND_EVENT_TABLE()
| Use this macro in a source file to end listing static event handlers for a specific class. More...

## Typedefs
typedef int | wxEventType
| A value uniquely identifying the type of the event. More...

## Functions
wxEventType | wxNewEventType ()
| Generates a new unique event type. More...
void | wxPostEvent (wxEvtHandler *dest, const wxEvent &event)
| In a GUI application, this function posts event to the specified dest object using wxEvtHandler::AddPendingEvent(). More...
void | wxQueueEvent (wxEvtHandler *dest, wxEvent *event)
| Queue an event for processing on the given object. More...

## Variables
wxEventType | wxEVT_NULL
| A special event type usually used to indicate that some wxEvent has yet no type assigned. More...
wxEventType | wxEVT_ANY
wxEventType | wxEVT_BUTTON
wxEventType | wxEVT_CHECKBOX
wxEventType | wxEVT_CHOICE
wxEventType | wxEVT_LISTBOX
wxEventType | wxEVT_LISTBOX_DCLICK
wxEventType | wxEVT_CHECKLISTBOX
wxEventType | wxEVT_MENU
wxEventType | wxEVT_SLIDER
wxEventType | wxEVT_RADIOBOX
wxEventType | wxEVT_RADIOBUTTON
wxEventType | wxEVT_SCROLLBAR
wxEventType | wxEVT_VLBOX
wxEventType | wxEVT_COMBOBOX
wxEventType | wxEVT_TOOL_RCLICKED
wxEventType | wxEVT_TOOL_DROPDOWN
wxEventType | wxEVT_TOOL_ENTER
wxEventType | wxEVT_COMBOBOX_DROPDOWN
wxEventType | wxEVT_COMBOBOX_CLOSEUP
wxEventType | wxEVT_THREAD
wxEventType | wxEVT_LEFT_DOWN
wxEventType | wxEVT_LEFT_UP
wxEventType | wxEVT_MIDDLE_DOWN
wxEventType | wxEVT_MIDDLE_UP
wxEventType | wxEVT_RIGHT_DOWN
wxEventType | wxEVT_RIGHT_UP
wxEventType | wxEVT_MOTION
wxEventType | wxEVT_ENTER_WINDOW
wxEventType | wxEVT_LEAVE_WINDOW
wxEventType | wxEVT_LEFT_DCLICK
wxEventType | wxEVT_MIDDLE_DCLICK
wxEventType | wxEVT_RIGHT_DCLICK
wxEventType | wxEVT_SET_FOCUS
wxEventType | wxEVT_KILL_FOCUS
wxEventType | wxEVT_CHILD_FOCUS
wxEventType | wxEVT_MOUSEWHEEL
wxEventType | wxEVT_MAGNIFY
wxEventType | wxEVT_AUX1_DOWN
wxEventType | wxEVT_AUX1_UP
wxEventType | wxEVT_AUX1_DCLICK
wxEventType | wxEVT_AUX2_DOWN
wxEventType | wxEVT_AUX2_UP
wxEventType | wxEVT_AUX2_DCLICK
wxEventType | wxEVT_CHAR
wxEventType | wxEVT_CHAR_HOOK
wxEventType | wxEVT_NAVIGATION_KEY
wxEventType | wxEVT_KEY_DOWN
wxEventType | wxEVT_KEY_UP
wxEventType | wxEVT_HOTKEY
wxEventType | wxEVT_SET_CURSOR
wxEventType | wxEVT_SCROLL_TOP
wxEventType | wxEVT_SCROLL_BOTTOM
wxEventType | wxEVT_SCROLL_LINEUP
wxEventType | wxEVT_SCROLL_LINEDOWN
wxEventType | wxEVT_SCROLL_PAGEUP
wxEventType | wxEVT_SCROLL_PAGEDOWN
wxEventType | wxEVT_SCROLL_THUMBTRACK
wxEventType | wxEVT_SCROLL_THUMBRELEASE
wxEventType | wxEVT_SCROLL_CHANGED
wxEventType | wxEVT_SPIN_UP
wxEventType | wxEVT_SPIN_DOWN
wxEventType | wxEVT_SPIN
wxEventType | wxEVT_SCROLLWIN_TOP
wxEventType | wxEVT_SCROLLWIN_BOTTOM
wxEventType | wxEVT_SCROLLWIN_LINEUP
wxEventType | wxEVT_SCROLLWIN_LINEDOWN
wxEventType | wxEVT_SCROLLWIN_PAGEUP
wxEventType | wxEVT_SCROLLWIN_PAGEDOWN
wxEventType | wxEVT_SCROLLWIN_THUMBTRACK
wxEventType | wxEVT_SCROLLWIN_THUMBRELEASE
wxEventType | wxEVT_TOUCH_BEGIN
wxEventType | wxEVT_TOUCH_MOVE
wxEventType | wxEVT_TOUCH_END
wxEventType | wxEVT_TOUCH_CANCEL
wxEventType | wxEVT_GESTURE_PAN
wxEventType | wxEVT_GESTURE_ZOOM
wxEventType | wxEVT_GESTURE_ROTATE
wxEventType | wxEVT_TWO_FINGER_TAP
wxEventType | wxEVT_LONG_PRESS
wxEventType | wxEVT_PRESS_AND_TAP
wxEventType | wxEVT_SIZE
wxEventType | wxEVT_MOVE
wxEventType | wxEVT_CLOSE_WINDOW
wxEventType | wxEVT_END_SESSION
wxEventType | wxEVT_QUERY_END_SESSION
wxEventType | wxEVT_ACTIVATE_APP
wxEventType | wxEVT_ACTIVATE
wxEventType | wxEVT_CREATE
wxEventType | wxEVT_DESTROY
wxEventType | wxEVT_SHOW
wxEventType | wxEVT_ICONIZE
wxEventType | wxEVT_MAXIMIZE
wxEventType | wxEVT_FULLSCREEN
wxEventType | wxEVT_MOUSE_CAPTURE_CHANGED
wxEventType | wxEVT_MOUSE_CAPTURE_LOST
wxEventType | wxEVT_PAINT
wxEventType | wxEVT_ERASE_BACKGROUND
wxEventType | wxEVT_NC_PAINT
wxEventType | wxEVT_MENU_OPEN
wxEventType | wxEVT_MENU_CLOSE
wxEventType | wxEVT_MENU_HIGHLIGHT
wxEventType | wxEVT_CONTEXT_MENU
wxEventType | wxEVT_SYS_COLOUR_CHANGED
wxEventType | wxEVT_SYS_METRIC_CHANGED
wxEventType | wxEVT_DISPLAY_CHANGED
wxEventType | wxEVT_DPI_CHANGED
wxEventType | wxEVT_QUERY_NEW_PALETTE
wxEventType | wxEVT_PALETTE_CHANGED
wxEventType | wxEVT_JOY_BUTTON_DOWN
wxEventType | wxEVT_JOY_BUTTON_UP
wxEventType | wxEVT_JOY_MOVE
wxEventType | wxEVT_JOY_ZMOVE
wxEventType | wxEVT_DROP_FILES
wxEventType | wxEVT_INIT_DIALOG
wxEventType | wxEVT_IDLE
wxEventType | wxEVT_UPDATE_UI
wxEventType | wxEVT_SIZING
wxEventType | wxEVT_MOVING
wxEventType | wxEVT_MOVE_START
wxEventType | wxEVT_MOVE_END
wxEventType | wxEVT_HIBERNATE
wxEventType | wxEVT_TEXT_COPY
wxEventType | wxEVT_TEXT_CUT
wxEventType | wxEVT_TEXT_PASTE
wxEventType | wxEVT_COMMAND_LEFT_CLICK
wxEventType | wxEVT_COMMAND_LEFT_DCLICK
wxEventType | wxEVT_COMMAND_RIGHT_CLICK
wxEventType | wxEVT_COMMAND_RIGHT_DCLICK
wxEventType | wxEVT_COMMAND_SET_FOCUS
wxEventType | wxEVT_COMMAND_KILL_FOCUS
wxEventType | wxEVT_COMMAND_ENTER
wxEventType | wxEVT_HELP
wxEventType | wxEVT_DETAILED_HELP
wxEventType | wxEVT_TOOL
wxEventType | wxEVT_WINDOW_MODAL_DIALOG_CLOSED

## Macro Definition Documentation

## ◆ wx__DECLARE_EVT0

#define wx__DECLARE_EVT0 | ( |  | evt,
|  |  | fn
| ) |  |

Simplified version of the wx__DECLARE_EVT1() macro, to be used when the event type must be handled regardless of the ID associated with the specific event instances.

## ◆ wx__DECLARE_EVT1

#define wx__DECLARE_EVT1 | ( |  | evt,
|  |  | id,
|  |  | fn
| ) |  |

This macro is used to define event table macros for handling custom events.

Example of use:

class MyEvent : public wxEvent { ... };
// note that this is not necessary unless using old compilers: for the
// reasonably new ones just use &func instead of MyEventHandler(func)
typedef void (wxEvtHandler::*MyEventFunction)(MyEvent&);
#define MyEventHandler(func) wxEVENT_HANDLER_CAST(MyEventFunction, func)
wxDEFINE_EVENT(MY_EVENT_TYPE, MyEvent);
#define EVT_MY(id, func) \
wx__DECLARE_EVT1(MY_EVENT_TYPE, id, MyEventHandler(func))
...
wxBEGIN_EVENT_TABLE(MyFrame, wxFrame)
EVT_MY(wxID_ANY, MyFrame::OnMyEvent)
wxEND_EVENT_TABLE()
wxEvent
An event is a structure holding information about an event passed to a callback or member function.
Definition: event.h:93
wxEvtHandler
A class that can handle events from the windowing system.
Definition: event.h:382
wxFrame
A frame is a window whose size and position can (usually) be changed by the user.
Definition: frame.h:166
wxID_ANY
@ wxID_ANY
Any id: means that we don't care about the id, whether when installing an event handler or when creat...
Definition: defs.h:591
wxDEFINE_EVENT
#define wxDEFINE_EVENT(name, cls)
Define a new event type associated with the specified event class.
Definition: event.h:5196
wxEND_EVENT_TABLE
#define wxEND_EVENT_TABLE()
Use this macro in a source file to end listing static event handlers for a specific class.
Definition: event.h:5324

Parameters

  evt | The event type to handle.
  id | The identifier of events to handle.
  fn | The event handler method.

## ◆ wx__DECLARE_EVT2

#define wx__DECLARE_EVT2 | ( |  | evt,
|  |  | id1,
|  |  | id2,
|  |  | fn
| ) |  |

Generalized version of the wx__DECLARE_EVT1() macro taking a range of IDs instead of a single one.

Argument id1 is the first identifier of the range, id2 is the second identifier of the range.

## ◆ wxBEGIN_EVENT_TABLE

#define wxBEGIN_EVENT_TABLE | ( |  | theClass,
|  |  | baseClass
| ) |  |

Use this macro in a source file to start listing static event handlers for a specific class.

Use wxEND_EVENT_TABLE() to terminate the event-declaration block.

See also
  Event Handling with Event Tables

## ◆ wxDECLARE_EVENT

#define wxDECLARE_EVENT | ( |  | name,
|  |  | cls
| ) |  |

Declares a custom event type.

This macro declares a variable called name which must be defined elsewhere using wxDEFINE_EVENT().

The class cls must be the wxEvent-derived class associated with the events of this type and its full declaration must be visible from the point of use of this macro.

For example:

wxDECLARE_EVENT(MY_COMMAND_EVENT, wxCommandEvent);
class MyCustomEvent : public wxEvent { ... };
wxDECLARE_EVENT(MY_CUSTOM_EVENT, MyCustomEvent);
wxCommandEvent
This event class contains information about command events, which originate from a variety of simple ...
Definition: event.h:2109
wxDECLARE_EVENT
#define wxDECLARE_EVENT(name, cls)
Declares a custom event type.
Definition: event.h:5216

## ◆ wxDECLARE_EVENT_TABLE

#define wxDECLARE_EVENT_TABLE | ( |  | ) |

Use this macro inside a class declaration to declare a static event table for that class.

In the implementation file you'll need to use the wxBEGIN_EVENT_TABLE() and the wxEND_EVENT_TABLE() macros, plus some additional `EVT_xxx` macro to capture events.

Note that this macro requires a final semicolon.

See also
  Event Handling with Event Tables

## ◆ wxDECLARE_EXPORTED_EVENT

#define wxDECLARE_EXPORTED_EVENT | ( |  | expdecl,
|  |  | name,
|  |  | cls
| ) |  |

Variant of wxDECLARE_EVENT() used for event types defined inside a shared library.

This is mostly used by wxWidgets internally, e.g.

wxDECLARE_EXPORTED_EVENT(WXDLLIMPEXP_CORE, wxEVT_BUTTON, wxCommandEvent);
wxEVT_BUTTON
wxEventType wxEVT_BUTTON
Definition: event.h:5360
wxDECLARE_EXPORTED_EVENT
#define wxDECLARE_EXPORTED_EVENT(expdecl, name, cls)
Variant of wxDECLARE_EVENT() used for event types defined inside a shared library.
Definition: event.h:5227

## ◆ wxDEFINE_EVENT

#define wxDEFINE_EVENT | ( |  | name,
|  |  | cls
| ) |  |

Define a new event type associated with the specified event class.

This macro defines a new unique event type name associated with the event class cls.

For example:

wxDEFINE_EVENT(MY_COMMAND_EVENT, wxCommandEvent);
class MyCustomEvent : public wxEvent { ... };
wxDEFINE_EVENT(MY_CUSTOM_EVENT, MyCustomEvent);

See also
  wxDECLARE_EVENT(), Custom Event Summary

## ◆ wxEND_EVENT_TABLE

#define wxEND_EVENT_TABLE | ( |  | ) |

Use this macro in a source file to end listing static event handlers for a specific class.

Use wxBEGIN_EVENT_TABLE() to start the event-declaration block.

See also
  Event Handling with Event Tables

## ◆ wxEVENT_HANDLER_CAST

#define wxEVENT_HANDLER_CAST | ( |  | functype,
|  |  | func
| ) |  |

Helper macro for definition of custom event table macros.

This macro casts the given event handler to the given function type using `static_cast` to ensure that the actual handler is indeed compatible with it, before (unsafely) casting it to a generic function pointer used by the event tables.

See wx__DECLARE_EVT1 for an example of use.

See also
  Defining Your Own Event Class

## Typedef Documentation

## ◆ wxEventType

typedef int wxEventType

A value uniquely identifying the type of the event.

The values of this type should only be created using wxNewEventType().

See the macro wxDEFINE_EVENT() for more information.

See also
  Events and Event Handling

## Function Documentation

## ◆ wxNewEventType()

wxEventType wxNewEventType | ( |  | ) |

Generates a new unique event type.

Usually this function is only used by wxDEFINE_EVENT() and not called directly.

## ◆ wxPostEvent()

void wxPostEvent | ( | wxEvtHandler * | dest,
|  | const wxEvent & | event
| ) |  |

In a GUI application, this function posts event to the specified dest object using wxEvtHandler::AddPendingEvent().

Otherwise, it dispatches event immediately using wxEvtHandler::ProcessEvent(). See the respective documentation for details (and caveats). Because of limitation of wxEvtHandler::AddPendingEvent() this function is not thread-safe for event objects having wxString fields, use wxQueueEvent() instead.

Include file:

    #include <wx/event.h>

## ◆ wxQueueEvent()

void wxQueueEvent | ( | wxEvtHandler * | dest,
|  | wxEvent * | event
| ) |  |

Queue an event for processing on the given object.

This is a wrapper around wxEvtHandler::QueueEvent(), see its documentation for more details.

Include file:

    #include <wx/event.h>

Parameters

  dest | The object to queue the event on, can't be nullptr.
  event | The heap-allocated and non-null event to queue, the function takes ownership of it.

## Variable Documentation

## ◆ wxEVT_ACTIVATE

wxEventType wxEVT_ACTIVATE

## ◆ wxEVT_ACTIVATE_APP

wxEventType wxEVT_ACTIVATE_APP

## ◆ wxEVT_ANY

wxEventType wxEVT_ANY

## ◆ wxEVT_AUX1_DCLICK

wxEventType wxEVT_AUX1_DCLICK

## ◆ wxEVT_AUX1_DOWN

wxEventType wxEVT_AUX1_DOWN

## ◆ wxEVT_AUX1_UP

wxEventType wxEVT_AUX1_UP

## ◆ wxEVT_AUX2_DCLICK

wxEventType wxEVT_AUX2_DCLICK

## ◆ wxEVT_AUX2_DOWN

wxEventType wxEVT_AUX2_DOWN

## ◆ wxEVT_AUX2_UP

wxEventType wxEVT_AUX2_UP

## ◆ wxEVT_BUTTON

wxEventType wxEVT_BUTTON

## ◆ wxEVT_CHAR

wxEventType wxEVT_CHAR

## ◆ wxEVT_CHAR_HOOK

wxEventType wxEVT_CHAR_HOOK

## ◆ wxEVT_CHECKBOX

wxEventType wxEVT_CHECKBOX

## ◆ wxEVT_CHECKLISTBOX

wxEventType wxEVT_CHECKLISTBOX

## ◆ wxEVT_CHILD_FOCUS

wxEventType wxEVT_CHILD_FOCUS

## ◆ wxEVT_CHOICE

wxEventType wxEVT_CHOICE

## ◆ wxEVT_CLOSE_WINDOW

wxEventType wxEVT_CLOSE_WINDOW

## ◆ wxEVT_COMBOBOX

wxEventType wxEVT_COMBOBOX

## ◆ wxEVT_COMBOBOX_CLOSEUP

wxEventType wxEVT_COMBOBOX_CLOSEUP

## ◆ wxEVT_COMBOBOX_DROPDOWN

wxEventType wxEVT_COMBOBOX_DROPDOWN

## ◆ wxEVT_COMMAND_ENTER

wxEventType wxEVT_COMMAND_ENTER

## ◆ wxEVT_COMMAND_KILL_FOCUS

wxEventType wxEVT_COMMAND_KILL_FOCUS

## ◆ wxEVT_COMMAND_LEFT_CLICK

wxEventType wxEVT_COMMAND_LEFT_CLICK

## ◆ wxEVT_COMMAND_LEFT_DCLICK

wxEventType wxEVT_COMMAND_LEFT_DCLICK

## ◆ wxEVT_COMMAND_RIGHT_CLICK

wxEventType wxEVT_COMMAND_RIGHT_CLICK

## ◆ wxEVT_COMMAND_RIGHT_DCLICK

wxEventType wxEVT_COMMAND_RIGHT_DCLICK

## ◆ wxEVT_COMMAND_SET_FOCUS

wxEventType wxEVT_COMMAND_SET_FOCUS

## ◆ wxEVT_CONTEXT_MENU

wxEventType wxEVT_CONTEXT_MENU

## ◆ wxEVT_CREATE

wxEventType wxEVT_CREATE

## ◆ wxEVT_DESTROY

wxEventType wxEVT_DESTROY

## ◆ wxEVT_DETAILED_HELP

wxEventType wxEVT_DETAILED_HELP

## ◆ wxEVT_DISPLAY_CHANGED

wxEventType wxEVT_DISPLAY_CHANGED

## ◆ wxEVT_DPI_CHANGED

wxEventType wxEVT_DPI_CHANGED

## ◆ wxEVT_DROP_FILES

wxEventType wxEVT_DROP_FILES

## ◆ wxEVT_END_SESSION

wxEventType wxEVT_END_SESSION

## ◆ wxEVT_ENTER_WINDOW

wxEventType wxEVT_ENTER_WINDOW

## ◆ wxEVT_ERASE_BACKGROUND

wxEventType wxEVT_ERASE_BACKGROUND

## ◆ wxEVT_FULLSCREEN

wxEventType wxEVT_FULLSCREEN

## ◆ wxEVT_GESTURE_PAN

wxEventType wxEVT_GESTURE_PAN

## ◆ wxEVT_GESTURE_ROTATE

wxEventType wxEVT_GESTURE_ROTATE

## ◆ wxEVT_GESTURE_ZOOM

wxEventType wxEVT_GESTURE_ZOOM

## ◆ wxEVT_HELP

wxEventType wxEVT_HELP

## ◆ wxEVT_HIBERNATE

wxEventType wxEVT_HIBERNATE

## ◆ wxEVT_HOTKEY

wxEventType wxEVT_HOTKEY

## ◆ wxEVT_ICONIZE

wxEventType wxEVT_ICONIZE

## ◆ wxEVT_IDLE

wxEventType wxEVT_IDLE

## ◆ wxEVT_INIT_DIALOG

wxEventType wxEVT_INIT_DIALOG

## ◆ wxEVT_JOY_BUTTON_DOWN

wxEventType wxEVT_JOY_BUTTON_DOWN

## ◆ wxEVT_JOY_BUTTON_UP

wxEventType wxEVT_JOY_BUTTON_UP

## ◆ wxEVT_JOY_MOVE

wxEventType wxEVT_JOY_MOVE

## ◆ wxEVT_JOY_ZMOVE

wxEventType wxEVT_JOY_ZMOVE

## ◆ wxEVT_KEY_DOWN

wxEventType wxEVT_KEY_DOWN

## ◆ wxEVT_KEY_UP

wxEventType wxEVT_KEY_UP

## ◆ wxEVT_KILL_FOCUS

wxEventType wxEVT_KILL_FOCUS

## ◆ wxEVT_LEAVE_WINDOW

wxEventType wxEVT_LEAVE_WINDOW

## ◆ wxEVT_LEFT_DCLICK

wxEventType wxEVT_LEFT_DCLICK

## ◆ wxEVT_LEFT_DOWN

wxEventType wxEVT_LEFT_DOWN

## ◆ wxEVT_LEFT_UP

wxEventType wxEVT_LEFT_UP

## ◆ wxEVT_LISTBOX

wxEventType wxEVT_LISTBOX

## ◆ wxEVT_LISTBOX_DCLICK

wxEventType wxEVT_LISTBOX_DCLICK

## ◆ wxEVT_LONG_PRESS

wxEventType wxEVT_LONG_PRESS

## ◆ wxEVT_MAGNIFY

wxEventType wxEVT_MAGNIFY

## ◆ wxEVT_MAXIMIZE

wxEventType wxEVT_MAXIMIZE

## ◆ wxEVT_MENU

wxEventType wxEVT_MENU

## ◆ wxEVT_MENU_CLOSE

wxEventType wxEVT_MENU_CLOSE

## ◆ wxEVT_MENU_HIGHLIGHT

wxEventType wxEVT_MENU_HIGHLIGHT

## ◆ wxEVT_MENU_OPEN

wxEventType wxEVT_MENU_OPEN

## ◆ wxEVT_MIDDLE_DCLICK

wxEventType wxEVT_MIDDLE_DCLICK

## ◆ wxEVT_MIDDLE_DOWN

wxEventType wxEVT_MIDDLE_DOWN

## ◆ wxEVT_MIDDLE_UP

wxEventType wxEVT_MIDDLE_UP

## ◆ wxEVT_MOTION

wxEventType wxEVT_MOTION

## ◆ wxEVT_MOUSE_CAPTURE_CHANGED

wxEventType wxEVT_MOUSE_CAPTURE_CHANGED

## ◆ wxEVT_MOUSE_CAPTURE_LOST

wxEventType wxEVT_MOUSE_CAPTURE_LOST

## ◆ wxEVT_MOUSEWHEEL

wxEventType wxEVT_MOUSEWHEEL

## ◆ wxEVT_MOVE

wxEventType wxEVT_MOVE

## ◆ wxEVT_MOVE_END

wxEventType wxEVT_MOVE_END

## ◆ wxEVT_MOVE_START

wxEventType wxEVT_MOVE_START

## ◆ wxEVT_MOVING

wxEventType wxEVT_MOVING

## ◆ wxEVT_NAVIGATION_KEY

wxEventType wxEVT_NAVIGATION_KEY

## ◆ wxEVT_NC_PAINT

wxEventType wxEVT_NC_PAINT

## ◆ wxEVT_NULL

wxEventType wxEVT_NULL

A special event type usually used to indicate that some wxEvent has yet no type assigned.

## ◆ wxEVT_PAINT

wxEventType wxEVT_PAINT

## ◆ wxEVT_PALETTE_CHANGED

wxEventType wxEVT_PALETTE_CHANGED

## ◆ wxEVT_PRESS_AND_TAP

wxEventType wxEVT_PRESS_AND_TAP

## ◆ wxEVT_QUERY_END_SESSION

wxEventType wxEVT_QUERY_END_SESSION

## ◆ wxEVT_QUERY_NEW_PALETTE

wxEventType wxEVT_QUERY_NEW_PALETTE

## ◆ wxEVT_RADIOBOX

wxEventType wxEVT_RADIOBOX

## ◆ wxEVT_RADIOBUTTON

wxEventType wxEVT_RADIOBUTTON

## ◆ wxEVT_RIGHT_DCLICK

wxEventType wxEVT_RIGHT_DCLICK

## ◆ wxEVT_RIGHT_DOWN

wxEventType wxEVT_RIGHT_DOWN

## ◆ wxEVT_RIGHT_UP

wxEventType wxEVT_RIGHT_UP

## ◆ wxEVT_SCROLL_BOTTOM

wxEventType wxEVT_SCROLL_BOTTOM

## ◆ wxEVT_SCROLL_CHANGED

wxEventType wxEVT_SCROLL_CHANGED

## ◆ wxEVT_SCROLL_LINEDOWN

wxEventType wxEVT_SCROLL_LINEDOWN

## ◆ wxEVT_SCROLL_LINEUP

wxEventType wxEVT_SCROLL_LINEUP

## ◆ wxEVT_SCROLL_PAGEDOWN

wxEventType wxEVT_SCROLL_PAGEDOWN

## ◆ wxEVT_SCROLL_PAGEUP

wxEventType wxEVT_SCROLL_PAGEUP

## ◆ wxEVT_SCROLL_THUMBRELEASE

wxEventType wxEVT_SCROLL_THUMBRELEASE

## ◆ wxEVT_SCROLL_THUMBTRACK

wxEventType wxEVT_SCROLL_THUMBTRACK

## ◆ wxEVT_SCROLL_TOP

wxEventType wxEVT_SCROLL_TOP

## ◆ wxEVT_SCROLLBAR

wxEventType wxEVT_SCROLLBAR

## ◆ wxEVT_SCROLLWIN_BOTTOM

wxEventType wxEVT_SCROLLWIN_BOTTOM

## ◆ wxEVT_SCROLLWIN_LINEDOWN

wxEventType wxEVT_SCROLLWIN_LINEDOWN

## ◆ wxEVT_SCROLLWIN_LINEUP

wxEventType wxEVT_SCROLLWIN_LINEUP

## ◆ wxEVT_SCROLLWIN_PAGEDOWN

wxEventType wxEVT_SCROLLWIN_PAGEDOWN

## ◆ wxEVT_SCROLLWIN_PAGEUP

wxEventType wxEVT_SCROLLWIN_PAGEUP

## ◆ wxEVT_SCROLLWIN_THUMBRELEASE

wxEventType wxEVT_SCROLLWIN_THUMBRELEASE

## ◆ wxEVT_SCROLLWIN_THUMBTRACK

wxEventType wxEVT_SCROLLWIN_THUMBTRACK

## ◆ wxEVT_SCROLLWIN_TOP

wxEventType wxEVT_SCROLLWIN_TOP

## ◆ wxEVT_SET_CURSOR

wxEventType wxEVT_SET_CURSOR

## ◆ wxEVT_SET_FOCUS

wxEventType wxEVT_SET_FOCUS

## ◆ wxEVT_SHOW

wxEventType wxEVT_SHOW

## ◆ wxEVT_SIZE

wxEventType wxEVT_SIZE

## ◆ wxEVT_SIZING

wxEventType wxEVT_SIZING

## ◆ wxEVT_SLIDER

wxEventType wxEVT_SLIDER

## ◆ wxEVT_SPIN

wxEventType wxEVT_SPIN

## ◆ wxEVT_SPIN_DOWN

wxEventType wxEVT_SPIN_DOWN

## ◆ wxEVT_SPIN_UP

wxEventType wxEVT_SPIN_UP

## ◆ wxEVT_SYS_COLOUR_CHANGED

wxEventType wxEVT_SYS_COLOUR_CHANGED

## ◆ wxEVT_SYS_METRIC_CHANGED

wxEventType wxEVT_SYS_METRIC_CHANGED

## ◆ wxEVT_TEXT_COPY

wxEventType wxEVT_TEXT_COPY

## ◆ wxEVT_TEXT_CUT

wxEventType wxEVT_TEXT_CUT

## ◆ wxEVT_TEXT_PASTE

wxEventType wxEVT_TEXT_PASTE

## ◆ wxEVT_THREAD

wxEventType wxEVT_THREAD

## ◆ wxEVT_TOOL

wxEventType wxEVT_TOOL

## ◆ wxEVT_TOOL_DROPDOWN

wxEventType wxEVT_TOOL_DROPDOWN

## ◆ wxEVT_TOOL_ENTER

wxEventType wxEVT_TOOL_ENTER

## ◆ wxEVT_TOOL_RCLICKED

wxEventType wxEVT_TOOL_RCLICKED

## ◆ wxEVT_TOUCH_BEGIN

wxEventType wxEVT_TOUCH_BEGIN

## ◆ wxEVT_TOUCH_CANCEL

wxEventType wxEVT_TOUCH_CANCEL

## ◆ wxEVT_TOUCH_END

wxEventType wxEVT_TOUCH_END

## ◆ wxEVT_TOUCH_MOVE

wxEventType wxEVT_TOUCH_MOVE

## ◆ wxEVT_TWO_FINGER_TAP

wxEventType wxEVT_TWO_FINGER_TAP

## ◆ wxEVT_UPDATE_UI

wxEventType wxEVT_UPDATE_UI

## ◆ wxEVT_VLBOX

wxEventType wxEVT_VLBOX

## ◆ wxEVT_WINDOW_MODAL_DIALOG_CLOSED

wxEventType wxEVT_WINDOW_MODAL_DIALOG_CLOSED